use std::collections::HashMap;

use petgraph::graphmap::DiGraphMap;

pub mod length;
pub mod nodes;

use self::{
    length::{Coordinate, Length},
    nodes::Node,
};

pub struct Filter<'a> {
    graph: DiGraphMap<Node, &'a str>,
}
pub enum Edge<'a> {
    Named(&'a str, u8),
    /// For standard inputs such as SourceGraphic etc., which we'll just be representing as nodes for simplicity
    Unnamed(u8),
}
